﻿-- 2024-09-04
ALTER TABLE t_b_ding
    CHANGE COLUMN sop_no sop_no VARCHAR(100) CHARACTER SET 'utf8mb4' NULL COMMENT 'sop单号' ,
    CHANGE COLUMN ding_sop_no ding_sop_no VARCHAR(100) CHARACTER SET 'utf8mb4' NULL COMMENT '实际打卡对应的sop单号' ;

INSERT INTO sys_config (id, config_key, config_name, config_value, enable, sort, create_id) VALUES ('41', 'region.coordinator.ding.time', '区域协调人打卡时间段', '{\"startTime\": 1725292800000,\"endTime\": 1725897600000}', '1', '1', '1');

-- 2024-09-05
ALTER TABLE t_b_ding_apply
    ADD COLUMN service_id BIGINT NULL COMMENT '服务单元id' AFTER id;
ALTER TABLE t_b_ding_apply
    CHANGE COLUMN sop_no sop_no VARCHAR(100) CHARACTER SET 'utf8mb4' NULL COMMENT 'sop编号' ,
    CHANGE COLUMN crm_no crm_no VARCHAR(100) CHARACTER SET 'utf8mb4' NULL COMMENT '派单编号' ;

UPDATE t_b_ding_apply tbda
SET
    tbda.service_id = (SELECT
            tbc.service_id
        FROM
            t_b_crm tbc
        WHERE
            tbda.crm_no = tbc.crm_no)
WHERE
    service_id IS NULL;

ALTER TABLE t_b_crm_detail
    ADD COLUMN scan_actual_start_time BIGINT NULL COMMENT '扫描开始实际时间\n研究生:现场环境检测提交\n教务处:扫描准备提交' AFTER publish_time,
    ADD COLUMN scan_actual_end_time BIGINT NULL COMMENT '扫描结束实际时间\n研究生:收尾校验提交\n教务处:扫描收尾检查提交' AFTER scan_actual_start_time,
    ADD COLUMN mark_paper_actual_start_time BIGINT NULL COMMENT '阅卷开始实际时间\n研究生:评卷准备提交\n教务处:阅卷参数提交' AFTER scan_actual_end_time,
    ADD COLUMN mark_paper_actual_end_time BIGINT NULL COMMENT '阅卷结束实际时间\n研究生:设备入库提交\n教务处:评卷收尾检查提交' AFTER mark_paper_actual_start_time;

